SDL_GPUBlitRegion(3type)

NAME
SDL_GPUBlitRegion - A structure specifying a region of a texture used in the blit operation.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUBlitRegion
{
    SDL_GPUTexture *texture;  /**< The texture. */
    Uint32 mip_level;             /**< The mip level index of the region. */
    Uint32 layer_or_depth_plane;  /**< The layer index or depth plane of the region. This value is treated as a layer index on 2D array and cube textures, and as a depth plane on 3D textures. */
    Uint32 x;                     /**< The left offset of the region. */
    Uint32 y;                     /**< The top offset of the region.  */
    Uint32 w;                     /**< The width of the region. */
    Uint32 h;                     /**< The height of the region. */
} SDL_GPUBlitRegion;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_BlitGPUTexture(3)